FileLoadThread
Date: 2019-10-22

org.jmol.script

## Class FileLoadThread

- java.lang.Object
- - java.lang.Thread
  - - org.jmol.thread.JmolThread
    - - org.jmol.script.FileLoadThread

- All Implemented Interfaces:
    java.lang.Runnable

      class FileLoadThread
      extends JmolThread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `cacheName`
    `(package private) java.lang.String` | `fileName`
    `private java.lang.String` | `key`

    - ### Fields inherited from class org.jmol.thread.JmolThread

      `CHECK1, CHECK2, CHECK3, currentTime, eval, FINISH, haveReference, hoverEnabled, INIT, isJS, isReset, lastRepaintTime, MAIN, name, sc, sleepTime, startTime, stopped, targetTime, useTimeout, vwr`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileLoadThread(JmolScriptEvaluator eval, Viewer vwr, java.lang.String fileName, java.lang.String key, java.lang.String cacheName)` JavaScript only

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `run1(int mode)`
    `(package private) void` | `setData(java.lang.String fileName, java.lang.String fileName0, java.lang.Object data, java.lang.Object myData)` Called by Jmol._loadFileAsyncDone(this.vwr.html5Applet).

    - ### Methods inherited from class org.jmol.thread.JmolThread

      `checkInterrupted, interrupt, oops, reset, resumeEval, run, runSleep, setEval, setManager, setViewer, start`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fileName

          java.lang.String fileName

    - #### cacheName

          private java.lang.String cacheName

    - #### key

          private java.lang.String key

  - ### Constructor Detail

    - #### FileLoadThread

          public FileLoadThread(JmolScriptEvaluator eval,
                                Viewer vwr,
                                java.lang.String fileName,
                                java.lang.String key,
                                java.lang.String cacheName)

      JavaScript only
      Parameters:
        `eval` -
        `vwr` -
        `fileName` -
        `key` -
        `cacheName` -

  - ### Method Detail

    - #### run1

          protected void run1(int mode)
                       throws java.lang.InterruptedException

      Specified by:
        `run1` in class `JmolThread`
      Throws:
        `java.lang.InterruptedException`

    - #### setData

          void setData(java.lang.String fileName,
                       java.lang.String fileName0,
                       java.lang.Object data,
                       java.lang.Object myData)
                throws java.lang.InterruptedException

      Called by Jmol._loadFileAsyncDone(this.vwr.html5Applet). Allows for callback to set the file name.
      Parameters:
        `fileName` -
        `fileName0` -
        `data` -
        `myData` - unused in Jmol
      Throws:
        `java.lang.InterruptedException`